package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TDualcontrolIndex;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolIndexTreeVo;
import com.nantian.sc.cloud.common.core.util.R;

import java.util.List;

/**
 * 能耗双控-指标 服务类
 */
public interface TDualcontrolIndexService extends IService<TDualcontrolIndex> {

    List<DualcontrolIndexTreeVo> getIndexTree(String type, String plan, String year);

    List<TDualcontrolIndex> getIndexByVersion(long versionId, String year);

    R saveIndexByVersion(long versionId, String year);

    //根据年度和项目查询指标值
    TDualcontrolIndex getIndex(String year, String itemCode);
}
